%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global modulename neutron_fwaas
%global servicename neutron-fwaas
%global type FWaaS
%global min_neutron_version 1:8.0.0

Name:           openstack-%{servicename}
Version:        10.0.1
Release:        2%{?dist}
Epoch:          1
Summary:        Openstack Networking %{type} plugin

License:        ASL 2.0
URL:            http://launchpad.net/neutron/
Source0:        https://tarballs.openstack.org/%{servicename}/%{servicename}-%{upstream_version}.tar.gz

# patches_base=10.0.1
Patch0001: 0001-Revert-fix-setuptools-munging-of-setup.cfg.patch
Patch0002: 0002-Fix-scale-issue-in-case-of-services_sync_needed-v1.patch
Patch0003: 0003-Fix-RPC-scale-issue-using-cast-instead-of-fanout-v1.patch
Patch0004: 0004-Remove-subunit-trace-fork.patch
Patch0005: 0005-Enable-to-run-rootwrap-privsep-related-functional-te.patch
Patch0006: 0006-Define-in_namespace-contextmanager.patch
Patch0007: 0007-Enable-to-configure-conntrack-driver.patch
Patch0008: 0008-Netlink-library-to-delete-conntrack-entries.patch
Patch0009: 0009-ConntrackNetlink-driver-to-delete-conntrack-entries.patch
Patch0010: 0010-Updated-from-global-requirements.patch

# patches_ignore=DROP-IN-RPM

BuildArch:      noarch
BuildRequires:  openstack-macros
BuildRequires:  python2-devel
BuildRequires:  python-neutron >= %{min_neutron_version}
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:	git

Requires:       ipset
Requires:       iptables
Requires:       python-%{servicename} = %{epoch}:%{version}-%{release}
Requires:       openstack-neutron >= %{min_neutron_version}

%description
This is a %{type} service plugin for Openstack Neutron (Networking) service.


%package -n python-%{servicename}
Summary:        Neutron %{type} Python libraries
Group:          Applications/System

Requires:       python-neutron >= %{min_neutron_version}
Requires:       python-alembic >= 0.8.4
Requires:       python-eventlet
Requires:       python-netaddr >= 0.7.12
Requires:       python-neutron-lib >= 1.1.0
Requires:       python-oslo-config >= 2:3.14.0
Requires:       python-oslo-db >= 4.15.0
Requires:       python-oslo-log >= 3.11.0
Requires:       python-oslo-messaging >= 5.14.0
Requires:       python-oslo-privsep >= 1.9.0
Requires:       python-oslo-serialization >= 1.10.0
Requires:       python-oslo-service >= 1.10.0
Requires:       python-oslo-utils >= 3.18.0
Requires:       python-pbr
Requires:       python-pyroute2
Requires:       python-requests
Requires:       python-six >= 1.9.0
Requires:       python-sqlalchemy >= 1.0.10


%description -n python-%{servicename}
This is a %{type} service plugin for Openstack Neutron (Networking) service.

This package contains the Neutron %{type} Python library.


%package -n python-%{servicename}-tests
Summary:        Neutron %{type} tests
Group:          Applications/System

Requires:       python-%{servicename} = %{epoch}:%{version}-%{release}


%description -n python-%{servicename}-tests
This is a %{type} service plugin for Openstack Neutron (Networking) service.

This package contains Neutron %{type} test files.


%prep
%autosetup -n %{servicename}-%{upstream_version} -S git

# Let's handle dependencies ourselves
rm -f requirements.txt

# Kill egg-info in order to generate new SOURCES.txt
rm -rf neutron_fwaas.egg-info

%build
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py build

# Generate configuration files
PYTHONPATH=. tools/generate_config_file_samples.sh
find etc -name *.sample | while read filename
do
    filedir=$(dirname $filename)
    file=$(basename $filename .sample)
    mv ${filename} ${filedir}/${file}
done

%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Create fake egg-info for the tempest plugin
%py2_entrypoint %{modulename} %{servicename}

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron

# The generated config files are not moved automatically by setup.py
mv etc/*.ini %{buildroot}%{_sysconfdir}/neutron

# Create and populate distribution configuration directory for L3/VPN agent
mkdir -p %{buildroot}%{_datadir}/neutron/l3_agent
ln -s %{_sysconfdir}/neutron/fwaas_driver.ini %{buildroot}%{_datadir}/neutron/l3_agent/fwaas_driver.conf

# Move rootwrap files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/neutron/rootwrap
mv %{buildroot}/usr/etc/neutron/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/neutron/rootwrap


%files
%license LICENSE
%doc AUTHORS CONTRIBUTING.rst README.rst
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/fwaas_driver.ini
%{_datadir}/neutron/l3_agent/*.conf
# TODO: see https://review.openstack.org/315826 for details, conflicts with core L3 agent
%exclude %{_bindir}/neutron-l3-agent

%files -n python-%{servicename}
%{python2_sitelib}/%{modulename}
%{python2_sitelib}/%{modulename}-%{version}-py%{python2_version}.egg-info
%exclude %{python2_sitelib}/%{modulename}/tests
%{_datarootdir}/neutron/rootwrap/fwaas-privsep.filters


%files -n python-%{servicename}-tests
%{python2_sitelib}/%{modulename}/tests
%{python2_sitelib}/%{modulename}_tests.egg-info

%changelog
* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 1:10.0.1-2
- Updated from global requirements
- ConntrackNetlink driver to delete conntrack entries
- Netlink library to delete conntrack entries
- Enable to configure conntrack driver
- Define in_namespace contextmanager
- Enable to run rootwrap/privsep related functional tests
- Remove subunit-trace fork
- Fix RPC scale issue using cast instead of fanout v1
- Fix scale issue in case of services_sync_needed v1

* Wed Apr 19 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.1-1
- Update to 10.0.1

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-3
- tempest: Switch to local copy of tempset/scenario/manager.py
- Updated from global requirements

* Thu Mar 16 2017 Steve Linabery <slinaber@redhat.com> 1:10.0.0-2
- Convert gate_hook to devstack-tools
- gate_hook: Stop including localrc
- Do not complain in firewall_group_deleted if the FW is already deleted

* Wed Feb 22 2017 Alfredo Moralejo <amoralej@redhat.com> 1:10.0.0-1
- Update to 10.0.0

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 1:10.0.0-0.2.0rc2
- Update to 10.0.0.0rc2

* Thu Feb 16 2017 Alfredo Moralejo <amoralej@redhat.com> 1:10.0.0-0.1.0rc1
- Update to 10.0.0.0rc1

